$header-width: 100% !default;
$header-height: rhythm(map-deep-get($application, header, height)) !default;
$header-margin: 0 0 rhythm(.5) 0 !default;
$header-padding: 0 !default;

$header-logo-margin: 0 15px 0 0 !default;
$header-logo-filter: hue-rotate(180deg) !default;

$header-title-font-size: map-get($font-sizes, 'h2') !default;
$header-title-text-transform: lowercase !default;
$header-title-font-weight: 100 !default;

$header-menu-font-size: map-get($font-sizes, 'normal') !default;
$header-menu-text-transform: uppercase !default;
$header-menu-item-spacing: 20px !default;
$header-menu-item-border: 1px dashed map-get($border-colors, 'normal') !default;
$header-menu-item-hover-sign: '#' !default;
$header-menu-item-hover-sign-distance: -1.5ex !default;
$header-menu-item-hover-sign-color: map-get($text-colors, 'link') !default;
$header-menu-item-hover-sign-font-weight: bold !default;
$header-menu-item-active-color: map-get($text-colors, 'normal') !default;


.#{$namespace}-header {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  width: $header-width;
  height: $header-height;
  margin: $header-margin;
  padding: $header-padding;

  .#{$namespace}-logo {
    margin: $header-logo-margin;
    filter: $header-logo-filter;
  }

  &__title {
    flex: 1 1 auto;
    margin: 0;
    text-transform: $header-title-text-transform;
    font-size: $header-title-font-size;
    font-weight: $header-title-font-weight;
  }

  &__actions {
    flex: 0 0 auto;
  }

  &__menu {
    display: flex;
    justify-content: space-evenly;
    list-style: none;
    margin: 0;
    padding: 0;
    font-size: $header-menu-font-size;
    text-transform:$header-menu-text-transform;
  }

    &__item {
      margin: 0;
      padding: 0;

      & + & {
        margin: 0 0 0 $header-menu-item-spacing;
        padding: 0 0 0 $header-menu-item-spacing;
        border-left: $header-menu-item-border;
      }

      .#{$namespace}-link {
        position: relative;

        &:hover {
          box-shadow: none;
        }

        &[aria-current="true"] {
          color: $header-menu-item-active-color;
        }

        &:hover,
        &[aria-current="true"] {
          &::before {
            content: $header-menu-item-hover-sign;
            position: absolute;
            left: $header-menu-item-hover-sign-distance;
            font-weight: $header-menu-item-hover-sign-font-weight;
            color: $header-menu-item-hover-sign-color;
          }
        }
      }
    }
}


@include respond-to('medium') {
  .#{$namespace}-header {
    justify-content: space-between;
    padding: 0 30px;

    &__title {
      display: none;
    }

    &__menu {
      justify-content: flex-start;
    }

    &__item + &__item {
      border: 0;
      padding: 0;
    }
  }
}